%define oname   paperclip

Name:       ruby-%{oname}
Version:    2.3.8
Release:    %mkrel 1
Summary:    File attachments as attributes for ActiveRecord
License:    MIT
Group:      Development/Ruby
URL:        http://www.thoughtbot.com/projects/paperclip
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(activesupport)
BuildRequires: rubygem(activerecord)
BuildRequires: rubygem(sqlite3)
BuildRequires: rubygem(aws-s3)
BuildRequires: rubygem(shoulda)
BuildRequires: rubygem(mocha)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
File attachments as attributes for ActiveRecord

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
# 2 errors to fix, disabling it for now
#rake test

%clean
rm -rf %{buildroot}



%changelog
* Thu Mar 03 2011 shikamaru <shikamaru> 2.3.8-1.mga1
+ Revision: 63459
- New version 2.3.8
- drop patch

* Sun Feb 13 2011 shikamaru <shikamaru> 2.3.1.1-1.mga1
+ Revision: 51360
- imported package ruby-paperclip


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.3.1.1-1
- Initial package
